> ## Documentation Index
> Fetch the complete documentation index at: https://docs.genviral.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Pack Image

> Delete one image from a pack

Deletes one image from a mutable pack.

## Path Parameters

<ParamField path="packId" type="string" required>
  Pack UUID.
</ParamField>

<ParamField path="imageId" type="string" required>
  Image UUID from the pack `images` list.
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl --request DELETE \
    --url https://www.genviral.io/api/partner/v1/packs/11111111-1111-1111-1111-111111111111/images/44444444-4444-4444-4444-444444444444 \
    --header 'Authorization: Bearer <token>'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "ok": true,
    "code": 200,
    "message": "Pack image deleted",
    "data": {
      "id": "44444444-4444-4444-4444-444444444444",
      "deleted": true
    }
  }
  ```
</ResponseExample>

## Error Responses

* `400 missing_pack_id` - path param missing
* `400 missing_image_id` - path param missing
* `404 pack_not_found` - pack is missing/outside mutable key scope
* `404 image_not_found` - image ID not found in this pack
* `401` - authentication failed (missing/invalid/revoked token)
* `402 subscription_required` - active Creator/Professional/Business plan required
* `403 tier_not_allowed` - Scheduler tier cannot use Partner API
* `500 pack_image_delete_failed` - unexpected delete failure
